OpenVDB 7.0.0

Static Public Member Functions | Static Public Attributes | List of all members
ISGradientBiased< GradScheme, Vec3Bias > Struct Template Reference

Biased Gradient Operators, using upwinding defined by the `Vec3Bias` input. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Vec3< typename Accessor::ValueType > | result (const Accessor &grid, const Coord &ijk, const Vec3Bias &V)
template<typename StencilT >
static Vec3< typename StencilT::ValueType > | result (const StencilT &stencil, const Vec3Bias &V)

## Static Public Attributes
static const DScheme | FD = BIAS_SCHEME<GradScheme>::FD
static const DScheme | BD = BIAS_SCHEME<GradScheme>::BD

## Detailed Description

### template<BiasedGradientScheme GradScheme, typename Vec3Bias>
struct openvdb::v7_0::math::ISGradientBiased< GradScheme, Vec3Bias >

Biased Gradient Operators, using upwinding defined by the `Vec3Bias` input.

## Member Function Documentation

## ◆ result() [1/2]

static Vec3<typename Accessor::ValueType> result | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | const Vec3Bias & | V
| ) |  |
| inline static

## ◆ result() [2/2]

static Vec3<typename StencilT::ValueType> result | ( | const StencilT & | stencil,
|  | const Vec3Bias & | V
| ) |  |
| inline static

## Member Data Documentation

## ◆ BD

const DScheme BD = BIAS_SCHEME<GradScheme>::BD
| static

## ◆ FD

const DScheme FD = BIAS_SCHEME<GradScheme>::FD
| static

The documentation for this struct was generated from the following file:

- Operators.h